package oclib

type URL struct {
	Protocol	string	`json:"protocol"`
	Path		string	`json:"path"`
}

type Storage struct {
	Resource			`json:"resource" required:"true"`

	Capacity	uint	`json:"capacity" required:"true"`
	Url			URL		`json:"URL" `		// Will allow to select between several protocols 

	Encryption   bool   `json:"encryption" `
	Redundancy   string `json:"redundancy" `
	Throughput   string `json:"throughput" `
	BookingPrice uint   `json:"bookingPrice" `
}

func (s *Storage) GetType() ResourceType{
	return STORAGE
}
